aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorOswald Buddenhagen <oswald.buddenhagen@qt.io>2017-01-18 10:47:04 +0100
committerOswald Buddenhagen <oswald.buddenhagen@qt.io>2017-01-18 10:49:22 +0100
commite74b0f7df4e6785dfd8660bbf60da6f2979225a3 (patch)
tree9316159f43e832b2acfd898867943c26c9070669
parent63d77a0b28022d77bb20c59ea2ea57bdfc1ac5ed (diff)
parentb336c10c08bd7b053a49e06aaa725339d4fb4ea1 (diff)
Merge remote-tracking branch 'origin/5.8' into 5.8.0
This pulls in the CI build configurations. These files were previously stored in the CI source tree, but they do belong here. They describe the different configurations under which we want to build Qt and its submodules, in terms of underlying virtual machine template, host OS, target OS and CI related features that may also map to Qt configuration features. Task-number: QTQAINFRA-1074 Started-by: Simon Hausmann <simon.hausmann@qt.io> Change-Id: I8ab9b987a28566ad036dcaf8f0663bd633fea439
-rw-r--r--coin/platform_configs/default.txt25
-rw-r--r--coin/platform_configs/qt5.txt17
-rw-r--r--coin/provisioning/common/DownloadURL.sh85
-rw-r--r--coin/provisioning/common/InstallFromCompressedFileFromURL.sh120
-rw-r--r--coin/provisioning/common/try_catch.sh64
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh53
-rw-r--r--coin/provisioning/qtci-linux-RHEL-7.2-x86_64/09-cmake.sh53
-rw-r--r--coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/09-cmake.sh53
-rw-r--r--coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/09-cmake.sh53
-rw-r--r--coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps15
-rw-r--r--coin/provisioning/qtci-windows-10-x86/05-wsearch-off.ps13
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/04-disable-windefender.ps15
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/05-wsearch-off.ps13
-rw-r--r--coin/provisioning/qtci-windows-7-x86/04-disable-windefender.ps15
-rw-r--r--coin/provisioning/qtci-windows-7-x86/05-wsearch-off.ps13
-rw-r--r--coin/provisioning/qtci-windows-8-x86/04-disable-windefender.ps15
-rw-r--r--coin/provisioning/qtci-windows-8-x86/05-wsearch-off.ps13
-rw-r--r--coin/provisioning/qtci-windows-8-x86_64/04-disable-windefender.ps15
-rw-r--r--coin/provisioning/qtci-windows-8-x86_64/05-wsearch-off.ps13
19 files changed, 563 insertions, 0 deletions
diff --git a/coin/platform_configs/default.txt b/coin/platform_configs/default.txt
new file mode 100644
index 00000000..58f7967c
--- /dev/null
+++ b/coin/platform_configs/default.txt
@@ -0,0 +1,25 @@
+Template Target OS Target arch Compiler Features
+----------------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
+qtci-windows-8-x86_64 MSVC2013 DeveloperBuild Release BuildExamples
+qtci-windows-10-x86_64 MSVC2015 DeveloperBuild Release QtNamespace QtLibInfix
+qtci-windows-8-x86 MSVC2013 Packaging DebugAndRelease Release OpenGLDynamic
+qtci-windows-8-x86_64 MSVC2013 Packaging DebugAndRelease Release OpenGLDynamic
+qtci-windows-7-x86 Mingw53 Packaging DebugAndRelease Release OpenGLDynamic
+qtci-windows-10-x86 MSVC2015 Packaging DebugAndRelease Release OpenGLDynamic
+qtci-windows-10-x86_64 MSVC2015 Packaging DebugAndRelease Release OpenGLDynamic
+qtci-windows-8-x86_64 Windows_Phone_8_1 armv4 MSVC2013 Packaging DebugAndRelease Release DisableTests
+qtci-windows-8-x86_64 WinRT_8_1 MSVC2013 Packaging DebugAndRelease Release DisableTests
+qtci-linux-Ubuntu-14.04-x86_64 GCC NoWidgets ForceDebugInfo
+qtci-linux-Ubuntu-14.04-x86_64 GCC DeveloperBuild OutOfSourceBuild QtLibInfix QtNamespace
+qtci-linux-openSUSE-42.1-x86_64 GCC DeveloperBuild NoPch
+qtci-linux-RHEL-6.6-x86_64 GCC Release
+qtci-linux-RHEL-7.2-x86_64 GCC Packaging Release NoUseGoldLinker
+qtci-osx-10.10-x86_64 Clang Packaging DebugAndRelease Release
+qtci-osx-10.9-x86_64 Clang DeveloperBuild Release QtNamespace NoPch
+qtci-osx-10.9-x86_64 Clang Release NoFramework
+qtci-osx-10.10-x86_64 IOS_ANY x86_64 Clang Release DisableTests Static
+qtci-linux-RHEL-6.6-x86_64 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-linux-Ubuntu-14.04-x86_64 Boot2Qt_Jethro armv7 GCC DisableTests
+qtci-linux-Ubuntu-15.04-x86_64 UbuntuTouch_15_04 armv7 GCC Packaging DisableTests OpenGLES2
+qtci-linux-RHEL-6.6-x86_64 QNX_660 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-linux-Ubuntu-14.04-x86_64 GCC TestOnly LicenseCheck
diff --git a/coin/platform_configs/qt5.txt b/coin/platform_configs/qt5.txt
new file mode 100644
index 00000000..797d62cd
--- /dev/null
+++ b/coin/platform_configs/qt5.txt
@@ -0,0 +1,17 @@
+Template Target OS Target arch Compiler Features
+--------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
+qtci-windows-10-x86_64 WinRT_10 x86 MSVC2015 Packaging DebugAndRelease Release DisableTests
+qtci-windows-10-x86_64 WinRT_10 MSVC2015 Packaging DebugAndRelease Release DisableTests
+qtci-linux-RHEL-6.6-x86_64 Android_ANY x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-windows-7-x86 Android_ANY armv7 Mingw49 Packaging Release DisableTests OpenGLES2
+qtci-windows-7-x86 Android_ANY x86 Mingw49 Packaging Release DisableTests OpenGLES2
+qtci-osx-10.10-x86_64 Android_ANY armv7 GCC Packaging Release DisableTests OpenGLES2
+qtci-osx-10.10-x86_64 Android_ANY x86 GCC Packaging Release DisableTests OpenGLES2
+qtci-linux-RHEL-6.6-x86_64 QNX_660 x86 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
+qtci-windows-7-x86 QNX_660 armv7 Mingw49 Packaging Release DisableTests OpenGLES2
+qtci-windows-7-x86 QNX_660 x86 Mingw49 Packaging Release DisableTests OpenGLES2
+qtci-windows-8-x86_64 Windows_Phone_8_1 x86 MSVC2013 Packaging DebugAndRelease Release DisableTests
+qtci-osx-10.10-x86_64 IOS_ANY multi Clang Packaging DebugAndRelease DisableTests Static
+
+# target arch is used here only for documentation the value is ignored
+qtci-windows-10-x86_64 WinRT_10 armv7 MSVC2015 Packaging DebugAndRelease Release DisableTests
diff --git a/coin/provisioning/common/DownloadURL.sh b/coin/provisioning/common/DownloadURL.sh
new file mode 100644
index 00000000..9bf7fdb7
--- /dev/null
+++ b/coin/provisioning/common/DownloadURL.sh
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# A helper script used for downloading a file from a URL or an alternative
+# URL. Also the SHA1 is checked for the file. Target filename should also
+# be given.
+#
+# If called directly from another script, it will exit the parent script
+# as well, if not called in its own subshell with parentheses.
+
+# shellcheck source=try_catch.sh
+source "${BASH_SOURCE%/*}/try_catch.sh"
+
+ExceptionDownloadPrimaryUrl=100
+ExceptionDownloadAltUrl=101
+ExceptionSHA1=102
+
+function DownloadURL {
+ url=$1
+ url_alt=$2
+ expectedSha1=$3
+ targetFile=$4
+
+ try
+ (
+ try
+ (
+ echo "Downloading from primary URL '$url'"
+ curl --fail -L --retry 5 --retry-delay 5 -o "$targetFile" "$url" || throw $ExceptionDownloadPrimaryUrl
+ )
+ catch || {
+ case $ex_code in
+ $ExceptionDownloadPrimaryUrl)
+ echo "Failed to download '$url' multiple times"
+ echo "Downloading tar.gz from alternative URL '$url_alt'"
+ curl --fail -L --retry 5 --retry-delay 5 -o "$targetFile" "$url_alt" || throw $ExceptionDownloadAltUrl
+ ;;
+ esac
+ }
+ echo "Checking SHA1 on PKG '$targetFile'"
+ echo "$expectedSha1 *$targetFile" | shasum --check || throw $ExceptionSHA1
+ )
+
+ catch || {
+ case $ex_code in
+ $ExceptionDownloadAltUrl)
+ echo "Failed downloading PKG from primary and alternative URLs"
+ exit 1;
+ ;;
+ esac
+ }
+}
+
diff --git a/coin/provisioning/common/InstallFromCompressedFileFromURL.sh b/coin/provisioning/common/InstallFromCompressedFileFromURL.sh
new file mode 100644
index 00000000..1f097d32
--- /dev/null
+++ b/coin/provisioning/common/InstallFromCompressedFileFromURL.sh
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# shellcheck source=try_catch.sh
+source "${BASH_SOURCE%/*}/try_catch.sh"
+# shellcheck source=DownloadURL.sh
+source "${BASH_SOURCE%/*}/DownloadURL.sh"
+
+ExceptionCreateTmpFile=100
+ExceptionCreateTmpDirectory=101
+ExceptionUncompress=102
+ExceptionMoveApp=103
+ExceptionDeleteTmpFile=104
+ExceptionRemoveTmpDirectory=105
+ExceptionUnknownFormat=106
+
+
+function InstallFromCompressedFileFromURL {
+ url=$1
+ url_alt=$2
+ expectedSha1=$3
+ installDirectory=$4
+ appPrefix=$5
+
+ try
+ (
+ basefilename=${url##*/}
+ extension=${basefilename##*.}
+ filename=${basefilename%.*}
+ if [ "$extension" == "gz" ] && [ "${filename##*.}" == "tar" ]; then
+ extension="tar.gz"
+ fi
+ echo "Extension for file: $extension"
+ echo "Creating temporary file and directory"
+ targetFile=$(mktemp "$TMPDIR$(uuidgen)XXXXX.$extension") || throw $ExceptionCreateTmpFile
+ targetDirectory=$(mktemp -d) || throw $ExceptionCreateTmpDirectory
+ DownloadURL "$url" "$url_alt" "$expectedSha1" "$targetFile"
+ echo "Uncompress $targetFile"
+ case $extension in
+ "tar.gz")
+ tar -xzf "$targetFile" --directory "$targetDirectory" || throw $ExceptionUncompress
+ ;;
+ "zip")
+ unzip "$targetFile" -d "$targetDirectory" || throw $ExceptionUncompress
+ ;;
+ *)
+ throw $ExceptionUnknownFormat
+ ;;
+ esac
+ echo "Moving app to $installDirectory"
+ sudo mkdir "$installDirectory"
+ sudo mv "$targetDirectory/$appPrefix/"* "$installDirectory" || throw $ExceptionMoveApp
+ echo "Removing file '$targetFile'"
+ rm "$targetFile" || throw $ExceptionDeleteTmpFile
+ echo "Removing directory '$targetDirectory'"
+ rm -rf "$targetDirectory" || throw $ExceptionRemoveTmpDirectory
+ )
+
+ catch || {
+ case $ex_code in
+ $ExceptionCreateTmpFile)
+ echo "Failed to create temporary file"
+ exit 1;
+ ;;
+ $ExceptionUncompress)
+ echo "Failed extracting compressed file."
+ exit 1;
+ ;;
+ $ExceptionMoveApp)
+ echo "Failed moving app to target location."
+ exit 1;
+ ;;
+ $ExceptionDeleteTmpFile)
+ echo "Failed deleting temporary file."
+ exit 1;
+ ;;
+ $ExceptionRemoveTmpDirectory)
+ echo "Failed deleting temporary file."
+ exit 1;
+ ;;
+ $ExceptionUnknownFormat)
+ echo "Unknown file format."
+ exit 1;
+ ;;
+ esac
+ }
+}
+
diff --git a/coin/provisioning/common/try_catch.sh b/coin/provisioning/common/try_catch.sh
new file mode 100644
index 00000000..b21861e3
--- /dev/null
+++ b/coin/provisioning/common/try_catch.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+echo "Sourcing try_catch.sh"
+
+function try()
+{
+ [[ $- = *e* ]]; SAVED_OPT_E=$?
+ set +e
+}
+
+function throw()
+{
+ exit "$1"
+}
+
+function catch()
+{
+ export ex_code=$?
+ (( SAVED_OPT_E )) && set +e
+ return $ex_code
+}
+
+function throwErrors()
+{
+ set -e
+}
+
+function ignoreErrors()
+{
+ set +e
+}
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh
new file mode 100644
index 00000000..dd35e01d
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/09-cmake.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs CMake 3.6.2
+
+# CMake is needed for autotests that verify that Qt can be built with CMake
+
+# shellcheck source=../common/InstallFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/../common/InstallFromCompressedFileFromURL.sh"
+
+version="3.6.2"
+PrimaryUrl="http://ci-files01-hki.ci.local/input/cmake/cmake-3.6.2-Linux-x86_64.tar.gz"
+AltUrl="https://cmake.org/files/v3.6/cmake-3.6.2-Linux-x86_64.tar.gz"
+SHA1="dd9d8d57b66109d4bac6eef9209beb94608a185c"
+targetFolder="/opt/cmake-$version"
+appPrefix="cmake-$version-Linux-x86_64"
+
+InstallFromCompressedFileFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$targetFolder" "$appPrefix"
+
+echo "Adding $targetFolder/bin to PATH"
+echo "export PATH=$targetFolder/bin:$PATH" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/09-cmake.sh b/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/09-cmake.sh
new file mode 100644
index 00000000..dd35e01d
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/09-cmake.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs CMake 3.6.2
+
+# CMake is needed for autotests that verify that Qt can be built with CMake
+
+# shellcheck source=../common/InstallFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/../common/InstallFromCompressedFileFromURL.sh"
+
+version="3.6.2"
+PrimaryUrl="http://ci-files01-hki.ci.local/input/cmake/cmake-3.6.2-Linux-x86_64.tar.gz"
+AltUrl="https://cmake.org/files/v3.6/cmake-3.6.2-Linux-x86_64.tar.gz"
+SHA1="dd9d8d57b66109d4bac6eef9209beb94608a185c"
+targetFolder="/opt/cmake-$version"
+appPrefix="cmake-$version-Linux-x86_64"
+
+InstallFromCompressedFileFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$targetFolder" "$appPrefix"
+
+echo "Adding $targetFolder/bin to PATH"
+echo "export PATH=$targetFolder/bin:$PATH" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/09-cmake.sh b/coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/09-cmake.sh
new file mode 100644
index 00000000..dd35e01d
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-14.04-x86_64/09-cmake.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs CMake 3.6.2
+
+# CMake is needed for autotests that verify that Qt can be built with CMake
+
+# shellcheck source=../common/InstallFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/../common/InstallFromCompressedFileFromURL.sh"
+
+version="3.6.2"
+PrimaryUrl="http://ci-files01-hki.ci.local/input/cmake/cmake-3.6.2-Linux-x86_64.tar.gz"
+AltUrl="https://cmake.org/files/v3.6/cmake-3.6.2-Linux-x86_64.tar.gz"
+SHA1="dd9d8d57b66109d4bac6eef9209beb94608a185c"
+targetFolder="/opt/cmake-$version"
+appPrefix="cmake-$version-Linux-x86_64"
+
+InstallFromCompressedFileFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$targetFolder" "$appPrefix"
+
+echo "Adding $targetFolder/bin to PATH"
+echo "export PATH=$targetFolder/bin:$PATH" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/09-cmake.sh b/coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/09-cmake.sh
new file mode 100644
index 00000000..dd35e01d
--- /dev/null
+++ b/coin/provisioning/qtci-linux-openSUSE-42.1-x86_64/09-cmake.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs CMake 3.6.2
+
+# CMake is needed for autotests that verify that Qt can be built with CMake
+
+# shellcheck source=../common/InstallFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/../common/InstallFromCompressedFileFromURL.sh"
+
+version="3.6.2"
+PrimaryUrl="http://ci-files01-hki.ci.local/input/cmake/cmake-3.6.2-Linux-x86_64.tar.gz"
+AltUrl="https://cmake.org/files/v3.6/cmake-3.6.2-Linux-x86_64.tar.gz"
+SHA1="dd9d8d57b66109d4bac6eef9209beb94608a185c"
+targetFolder="/opt/cmake-$version"
+appPrefix="cmake-$version-Linux-x86_64"
+
+InstallFromCompressedFileFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$targetFolder" "$appPrefix"
+
+echo "Adding $targetFolder/bin to PATH"
+echo "export PATH=$targetFolder/bin:$PATH" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps1 b/coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps1
new file mode 100644
index 00000000..2d1f0783
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/04-disable-windefender.ps1
@@ -0,0 +1,5 @@
+# Turning off win defender.
+#
+# If disabled manually, windows will automatically enable it after
+# some period of time. Disabling it speeds up the builds.
+REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows Defender" /V DisableAntiSpyware /T REG_dWORD /D 1 /F
diff --git a/coin/provisioning/qtci-windows-10-x86/05-wsearch-off.ps1 b/coin/provisioning/qtci-windows-10-x86/05-wsearch-off.ps1
new file mode 100644
index 00000000..09c45bbd
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86/05-wsearch-off.ps1
@@ -0,0 +1,3 @@
+
+# Disable the windows search indexing service
+sc.exe config WSearch start= disabled
diff --git a/coin/provisioning/qtci-windows-10-x86_64/04-disable-windefender.ps1 b/coin/provisioning/qtci-windows-10-x86_64/04-disable-windefender.ps1
new file mode 100644
index 00000000..2d1f0783
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/04-disable-windefender.ps1
@@ -0,0 +1,5 @@
+# Turning off win defender.
+#
+# If disabled manually, windows will automatically enable it after
+# some period of time. Disabling it speeds up the builds.
+REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows Defender" /V DisableAntiSpyware /T REG_dWORD /D 1 /F
diff --git a/coin/provisioning/qtci-windows-10-x86_64/05-wsearch-off.ps1 b/coin/provisioning/qtci-windows-10-x86_64/05-wsearch-off.ps1
new file mode 100644
index 00000000..09c45bbd
--- /dev/null
+++ b/coin/provisioning/qtci-windows-10-x86_64/05-wsearch-off.ps1
@@ -0,0 +1,3 @@
+
+# Disable the windows search indexing service
+sc.exe config WSearch start= disabled
diff --git a/coin/provisioning/qtci-windows-7-x86/04-disable-windefender.ps1 b/coin/provisioning/qtci-windows-7-x86/04-disable-windefender.ps1
new file mode 100644
index 00000000..2d1f0783
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/04-disable-windefender.ps1
@@ -0,0 +1,5 @@
+# Turning off win defender.
+#
+# If disabled manually, windows will automatically enable it after
+# some period of time. Disabling it speeds up the builds.
+REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows Defender" /V DisableAntiSpyware /T REG_dWORD /D 1 /F
diff --git a/coin/provisioning/qtci-windows-7-x86/05-wsearch-off.ps1 b/coin/provisioning/qtci-windows-7-x86/05-wsearch-off.ps1
new file mode 100644
index 00000000..09c45bbd
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/05-wsearch-off.ps1
@@ -0,0 +1,3 @@
+
+# Disable the windows search indexing service
+sc.exe config WSearch start= disabled
diff --git a/coin/provisioning/qtci-windows-8-x86/04-disable-windefender.ps1 b/coin/provisioning/qtci-windows-8-x86/04-disable-windefender.ps1
new file mode 100644
index 00000000..2d1f0783
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8-x86/04-disable-windefender.ps1
@@ -0,0 +1,5 @@
+# Turning off win defender.
+#
+# If disabled manually, windows will automatically enable it after
+# some period of time. Disabling it speeds up the builds.
+REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows Defender" /V DisableAntiSpyware /T REG_dWORD /D 1 /F
diff --git a/coin/provisioning/qtci-windows-8-x86/05-wsearch-off.ps1 b/coin/provisioning/qtci-windows-8-x86/05-wsearch-off.ps1
new file mode 100644
index 00000000..09c45bbd
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8-x86/05-wsearch-off.ps1
@@ -0,0 +1,3 @@
+
+# Disable the windows search indexing service
+sc.exe config WSearch start= disabled
diff --git a/coin/provisioning/qtci-windows-8-x86_64/04-disable-windefender.ps1 b/coin/provisioning/qtci-windows-8-x86_64/04-disable-windefender.ps1
new file mode 100644
index 00000000..2d1f0783
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8-x86_64/04-disable-windefender.ps1
@@ -0,0 +1,5 @@
+# Turning off win defender.
+#
+# If disabled manually, windows will automatically enable it after
+# some period of time. Disabling it speeds up the builds.
+REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows Defender" /V DisableAntiSpyware /T REG_dWORD /D 1 /F
diff --git a/coin/provisioning/qtci-windows-8-x86_64/05-wsearch-off.ps1 b/coin/provisioning/qtci-windows-8-x86_64/05-wsearch-off.ps1
new file mode 100644
index 00000000..09c45bbd
--- /dev/null
+++ b/coin/provisioning/qtci-windows-8-x86_64/05-wsearch-off.ps1
@@ -0,0 +1,3 @@
+
+# Disable the windows search indexing service
+sc.exe config WSearch start= disabled